pages:
  stage: deploy
  image: python:3-buster
  script:
  - pip install -r requirements.txt
  - ./generate.py
  - mkdir public
  - cp index.html public/
  artifacts:
    paths:
    - public # do not change it https://gitlab.com/gitlab-org/gitlab/-/issues/1719#note_30008931
  only:
  - master
